import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.DBInfo;
import quadbase.ChartAPI.QbChart;
import quadbase.util.IDrillDown;

public class DataDrillDownChart extends Applet {

	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {
		try {
			DataDrillDownChart doChart = new DataDrillDownChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doChart.doDataDrillDownChart(null));
			frame.setSize(500, 500);
			frame.setVisible(true);
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doDataDrillDownChart(this));
	}

	Component doDataDrillDownChart(Applet applet) {

		//Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Begin Code : Creating Chart 1  - the Root Chart
		DBInfo rootInfo = new DBInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"select Categories.CategoryName, Products.ProductName, Products.UnitsInStock from Categories, Products where Categories.CategoryID = Products.CategoryID order by Categories.CategoryName;");

		ColInfo rootColInfo = new ColInfo();
		rootColInfo.category = 0;
		rootColInfo.value = 2;
		QbChart chart = new QbChart(applet, QbChart.VIEW2D, QbChart.BAR, rootInfo, rootColInfo,
				null);

		// End Code : Creating Chart 1  - the Root Chart 

		try {

			// Begin Code : Creating Chart 2  - the sub Chart

			IDrillDown chartDrillDown = chart.gethDrillDown();
			chartDrillDown.setAggregateOperator(IDrillDown.SUM); // Set the Aggregation 								  
			chartDrillDown.addDrillDown(QbChart.AREA, 1, -1, -1, true); // addDrillDown(chartType, category, series, sumby, is2DChart) 
			chartDrillDown.setDrillName("DrillDownChart"); // Set the drill template name 
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
		// End Code : Creating Chart 2  - the sub Chart 

		return chart;

	}

}
